# 使用说明
## 安装依赖
`pip install -r requirement.txt`

## 目录结构
```.
├── README.md
├── img
│   └── folders
│       └── imgs
├── out
│   ├── csv
│   │   └── result
│   └── graph
│       └── processed images
├── main.py
└── util.py
```
## 参数
* -m ,--method  : 0 使用Kmeans，1 使用阈值法(butterworth滤波),2 使用阈值法（fft）。默认Kmeans
* -c ,--core    : Kmeans分为几类，默认5，仅对Kmeans法有效
* -p ,--process : 使用线程数量，默认8，仅对阈值法有效

## 示例

- `python main.py -m 1 -p 16`
- `python main.py -m 0 -c 8`

## 版本

|版本号|功能|
|:---:|:---|
|v0.1|实现了Kmeans、阈值法两种分割方法，提供命令行工具|
|v0.2|1.更新了滤波算法<br>2.修改了一些小bug<br>3.对部分函数进行解耦|