#!/usr/bin/env python
# -*- coding:utf-8 -*-
from util import *
from filters import butterworth, fft_mask



def threshold(pair,filter='butter'):
    img_list =pre(pair,filter)

    edge = cv.Canny(img_list['blr'], 40, 100)
    kernel = cv.getStructuringElement(cv.MORPH_ELLIPSE, (3, 3))
    close = cv.morphologyEx(edge, cv.MORPH_CLOSE, kernel, iterations = 5)
    open = cv.morphologyEx(close, cv.MORPH_OPEN, kernel, iterations = 3)

    img_list['edge']=edge
    img_list['close'] = close
    img_list['open'] = open

    save_img(img_list,pair[0],pair[1][:-4])
    calcRes(img_list['ori'], img_list['open'], pair[0], pair[1][:-4])